GET /files/{uuid}/ | File information doesn’t return image_info and video_info fields anymore |
GET /files/{uuid}/ | Added mime-type, image (dimensions, format, etc), video information (duration, format, bitrate, etc), audio information, etc. to content_info field |
GET /files/{uuid}/ | Associated field appdata that includes dictionary of application names and data with these applications |
GET /files/{uuid}/ | Removed rekognition_info in favor of appdata |
GET /files/{uuid}/ | Renamed Parameter add_fields to include |
DELETE /files/{uuid}/ | Removed in favour of /files/{uuid}/storage/ |
GET /files/ | Remove the option of sorting the file list by file size |
PUT /group/{uuid}/storage/ | Removed. To store or remove files from a group, query the list of files in it, split the list into chunks of 100 files per chunk and then perform batch file storing or batch file removal for all the chunks |
DELETE /group/{uuid}/ | Added a possibility to delete a Group. Note: when we delete a group, we remove information about the group object itself, the files from the group are left intact |
POST /addons/uc_clamav_virus_scan/execute/ | Introduced ClamAV Add-On: perform virus scan on a target file |
GET /addons/uc_clamav_virus_scan/execute/status/ | Check ClamAV Add-On execution status |
POST /addons/aws_rekognition_detect_labels /execute/ | Introduced AWS Rekognition Add-On: detect labels on a target image and save results in the file’s application data |
GET /addons/aws_rekognition_detect_labels /execute/status/ | Check AWS Rekognition Add-On execution status |
POST /addons/aws_rekognition_detect_ moderation_labels/execute/ | Introduced AWS Rekognition moderation Add-On: detect labels on a target image and save results in the file’s application data |
GET /addons/aws_rekognition_detect_ moderation_labels/execute/status/ | Check AWS Rekognition moderation Add-On execution status |
POST /addons/remove_bg/execute/ | Introduced RemoveBG Add-On |
GET /addons/remove_bg/execute/status/ | Check RemoveBG Add-On execution status and get file_id with an UUID of the file with removed background |